# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: protos/knn.proto

from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import empty_pb2 as google_dot_protobuf_dot_empty__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='protos/knn.proto',
  package='provee',
  syntax='proto3',
  serialized_options=b'\n\017nl.uuvig.proveeB\022ProveProjectorGRCPP\001\242\002\006PROVEE',
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x10protos/knn.proto\x12\x06provee\x1a\x1bgoogle/protobuf/empty.proto\"\x1f\n\x0bprogressKNN\x12\x10\n\x08progress\x18\x01 \x01(\x05\"\x18\n\x08startKNN\x12\x0c\n\x04path\x18\x01 \x01(\t\"&\n\nknnRequest\x12\t\n\x01k\x18\x01 \x01(\x05\x12\r\n\x05words\x18\x02 \x01(\t\"\'\n\nNeighbours\x12\x19\n\x04rows\x18\x01 \x03(\x0b\x32\x0b.provee.Row\"#\n\x03Row\x12\n\n\x02id\x18\x01 \x01(\t\x12\x10\n\x08\x64istance\x18\x02 \x01(\x02\x32\xbd\x01\n\x03KNN\x12=\n\x0fstartKNNService\x12\x10.provee.startKNN\x1a\x16.google.protobuf.Empty\"\x00\x12\x39\n\rgetKNNRequest\x12\x12.provee.knnRequest\x1a\x12.provee.Neighbours\"\x00\x12<\n\x0bgetProgress\x12\x16.google.protobuf.Empty\x1a\x13.provee.progressKNN\"\x00\x42\x30\n\x0fnl.uuvig.proveeB\x12ProveProjectorGRCPP\x01\xa2\x02\x06PROVEEb\x06proto3'
  ,
  dependencies=[google_dot_protobuf_dot_empty__pb2.DESCRIPTOR,])




_PROGRESSKNN = _descriptor.Descriptor(
  name='progressKNN',
  full_name='provee.progressKNN',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='progress', full_name='provee.progressKNN.progress', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=57,
  serialized_end=88,
)


_STARTKNN = _descriptor.Descriptor(
  name='startKNN',
  full_name='provee.startKNN',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='path', full_name='provee.startKNN.path', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=90,
  serialized_end=114,
)


_KNNREQUEST = _descriptor.Descriptor(
  name='knnRequest',
  full_name='provee.knnRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='k', full_name='provee.knnRequest.k', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='words', full_name='provee.knnRequest.words', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=116,
  serialized_end=154,
)


_NEIGHBOURS = _descriptor.Descriptor(
  name='Neighbours',
  full_name='provee.Neighbours',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='rows', full_name='provee.Neighbours.rows', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=156,
  serialized_end=195,
)


_ROW = _descriptor.Descriptor(
  name='Row',
  full_name='provee.Row',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='id', full_name='provee.Row.id', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='distance', full_name='provee.Row.distance', index=1,
      number=2, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=197,
  serialized_end=232,
)

_NEIGHBOURS.fields_by_name['rows'].message_type = _ROW
DESCRIPTOR.message_types_by_name['progressKNN'] = _PROGRESSKNN
DESCRIPTOR.message_types_by_name['startKNN'] = _STARTKNN
DESCRIPTOR.message_types_by_name['knnRequest'] = _KNNREQUEST
DESCRIPTOR.message_types_by_name['Neighbours'] = _NEIGHBOURS
DESCRIPTOR.message_types_by_name['Row'] = _ROW
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

progressKNN = _reflection.GeneratedProtocolMessageType('progressKNN', (_message.Message,), {
  'DESCRIPTOR' : _PROGRESSKNN,
  '__module__' : 'protos.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.progressKNN)
  })
_sym_db.RegisterMessage(progressKNN)

startKNN = _reflection.GeneratedProtocolMessageType('startKNN', (_message.Message,), {
  'DESCRIPTOR' : _STARTKNN,
  '__module__' : 'protos.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.startKNN)
  })
_sym_db.RegisterMessage(startKNN)

knnRequest = _reflection.GeneratedProtocolMessageType('knnRequest', (_message.Message,), {
  'DESCRIPTOR' : _KNNREQUEST,
  '__module__' : 'protos.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.knnRequest)
  })
_sym_db.RegisterMessage(knnRequest)

Neighbours = _reflection.GeneratedProtocolMessageType('Neighbours', (_message.Message,), {
  'DESCRIPTOR' : _NEIGHBOURS,
  '__module__' : 'protos.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.Neighbours)
  })
_sym_db.RegisterMessage(Neighbours)

Row = _reflection.GeneratedProtocolMessageType('Row', (_message.Message,), {
  'DESCRIPTOR' : _ROW,
  '__module__' : 'protos.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.Row)
  })
_sym_db.RegisterMessage(Row)


DESCRIPTOR._options = None

_KNN = _descriptor.ServiceDescriptor(
  name='KNN',
  full_name='provee.KNN',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=235,
  serialized_end=424,
  methods=[
  _descriptor.MethodDescriptor(
    name='startKNNService',
    full_name='provee.KNN.startKNNService',
    index=0,
    containing_service=None,
    input_type=_STARTKNN,
    output_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='getKNNRequest',
    full_name='provee.KNN.getKNNRequest',
    index=1,
    containing_service=None,
    input_type=_KNNREQUEST,
    output_type=_NEIGHBOURS,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='getProgress',
    full_name='provee.KNN.getProgress',
    index=2,
    containing_service=None,
    input_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    output_type=_PROGRESSKNN,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_KNN)

DESCRIPTOR.services_by_name['KNN'] = _KNN

# @@protoc_insertion_point(module_scope)
